2011-03-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	GDB Linaro 7.2-2011.03-0 released.

	gdb/
	* version.in: Update.

2011-03-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Backport from mainline:

	2011-03-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* inflow.c (terminal_init_inferior_with_pgrp): Copy ttystate.
	(terminal_save_ours): Remove misleading comment.
	(inflow_inferior_data_cleanup): Free ttystate.
	(inflow_inferior_exit): Likewise.
	(copy_terminal_info): Copy ttystate.

	* serial.c (serial_copy_tty_state): New function.
	* serial.h (serial_copy_tty_state): Add prototype.
	(struct serial_ops): Add copy_tty_state callback.
	* ser-base.c (ser_base_copy_tty_state): New function.
	* ser-base.h (ser_base_copy_tty_state): Add prototype.
	* ser-go32.c (dos_copy_tty_state): New function.
	(dos_ops): Install copy_tty_state callback.
	* ser-mingw.c (_initialize_ser_windows): Likewise.
	* ser-pipe.c (_initialize_ser_pipe): Likewise.
	* ser-unix.c (hardwire_copy_tty_state): New function.
	(_initialize_ser_hardwire): Install it.

2011-03-01  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Fix LP #620611
	Backport from mainline:

	2011-03-01  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* arm-linux-tdep.c (ARM_LDR_PC_SP_4): Add define.
	(arm_linux_restart_syscall_init): Handle both on-stack and in-kernel
	versions of the trampoline.  Handle Thumb vs. ARM addresses.
	(arm_kernel_linux_restart_syscall_tramp_frame): New global.
	(arm_linux_init_abi): Install it.

2011-02-21  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Backport from mainline:

	2011-02-21  Matthew Gretton-Dann <matthew.gretton-dann@arm.com>
		    Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/
	* arm-linux-nat.c: Include "observer.h" and "gdbthread.h".
	(PTRACE_GETHBPREGS, PTRACE_SETHBPREGS): Define.
	(struct arm_linux_hwbp_cap): New type.
	(arm_linux_get_hwbp_cap): New function.
	(arm_linux_get_hw_breakpoint_count): Likewise.
	(arm_linux_get_hw_watchpoint_count): Likewise.
	(arm_linux_can_use_hw_breakpoint): Likewise.
	(arm_hwbp_type): New type.
	(arm_hwbp_control_t): Likewise.
	(struct arm_linux_hw_breakpoint): Likewise.
	(struct arm_linux_thread_points): Likewise.
	(arm_threads): New global variable.
	(arm_linux_find_breakpoints_by_tid): New function.
	(arm_hwbp_control_initialize): Likewise.
	(arm_hwbp_control_is_enabled): Likewise.
	(arm_hwbp_control_disable): Likewise.
	(arm_linux_hw_breakpoint_initialize): Likewise.
	(arm_linux_get_hwbp_type): Likewise.
	(arm_linux_hw_watchpoint_initialize): Likewise.
	(arm_linux_hw_breakpoint_equal): Likewise.
	(arm_linux_insert_hw_breakpoint1): Likewise.
	(arm_linux_remove_hw_breakpoint1): Likewise.
	(arm_linux_insert_hw_breakpoint): Likewise.
	(arm_linux_remove_hw_breakpoint): Likewise.
	(arm_linux_region_ok_for_hw_watchpoint): Likewise.
	(arm_linux_insert_watchpoint): Likewise.
	(arm_linux_remove_watchpoint): Likewise.
	(arm_linux_stopped_data_address): Likewise.
	(arm_linux_stopped_by_watchpoint): Likewise.
	(arm_linux_watchpoint_addr_within_range): Likewise.
	(arm_linux_new_thread): Likewise.
	(arm_linux_thread_exit): Likewise.
	(_initialize_arm_linux_nat): Install hardware breakpoint/watchpoint
	related target callbacks.  Register arm_linux_new_thread and
	arm_linux_thread_exit.
	* arm-tdep.h (arm_pc_is_thumb): Add prototype.
	* arm-tdep.c (arm_pc_is_thumb): Make global.
	(arm_gdbarch_init): Call set_gdbarch_have_nonsteppable_watchpoint.

	gdb/testsuite/
	* lib/gdb.exp (skip_hw_breakpoint_tests): Add arm*-*-* target.
	(skip_hw_watchpoint_tests): Likewise.
	(skip_hw_watchpoint_multi_tests): Likewise.

	2011-02-21  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/
	* breakpoint.c (update_watchpoint): Do not attempt to recreate
	per-frame locations while within a function epilogue.

	2011-02-21  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/testsuite/
	* lib/gdb.exp (skip_hw_breakpoint_tests): New procedure.
	(skip_hw_watchpoint_tests): Likewise.
	(skip_hw_watchpoint_multi_tests): Likewise.
	(skip_hw_watchpoint_access_tests): Likewise.

	* gdb.base/hbreak.exp: Use appropriate skip_hw_..._tests checks.
	* gdb.base/pr11022.exp: Likewise.
	* gdb.base/watch-read.exp: Likewise.
	* gdb.base/watch_thread_num.exp: Likewise.
	* gdb.base/watchpoint-hw-hit-once.exp: Likewise.
	* gdb.base/watchpoint-hw.exp: Likewise.
	* gdb.threads/local-watch-wrong-thread.exp: Likewise.
	* gdb.threads/watchthreads-reorder.exp: Likewise.
	* gdb.threads/watchthreads.exp: Likewise.
	* gdb.threads/watchthreads2.exp: Likewise.

2011-02-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* version.in: Bump version.

2011-02-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	GDB Linaro 7.2-2011.02-0 released.

	gdb/
	* version.in: Update.

2011-02-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Fix LP #711375
	Backport from mainline:

	2011-02-04  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* dwarf2read.c (dwarf2_ranges_read): Skip empty range entries.
	Complain about inverted range entries.
	(dwarf2_record_block_ranges): Likewise.

2011-02-03  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Fix LP #616000
	Backport from mainline:

	2011-02-03  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* arm-tdep.c (arm_skip_stack_protector): Accept any symbol that
	starts with __stack_chk_guard as stack guard symbol.

2011-02-03  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Fix LP #661253
	Backport from mainline:

	2011-02-02  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* arm-tdep.c (skip_prologue_function): Add GDBARCH and IS_THUMB
	arguments.  Skip in-prologue calls to glibc __aeabi_read_tp
	implementation even if no symbols are available.
	(thumb_analyze_prologue): Update call to skip_prologue_function.
	(arm_analyze_prologue): Likewise.

	2011-02-02  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* arm-tdep.c: Include "observer.h".
	(arm_prologue_this_id): Use frame PC if get_frame_func returns 0.
	(arm_exidx_data_key): New static variable.
	(struct arm_exidx_entry, arm_exidx_entry_s): New data types.
	(struct arm_exidx_data): Likewise.
	(arm_exidx_data_free): New function.
	(arm_compare_exidx_entries): Likewise.
	(arm_obj_section_from_vma): Likewise.
	(arm_exidx_new_objfile): Likewise.
	(arm_find_exidx_entry): Likewise.
	(arm_exidx_fill_cache): Likewise.
	(arm_exidx_unwind_sniffer): Likewise.
	(arm_exidx_unwind): New global variable.
	(arm_gdbarch_init): Append unwinder arm_exidx_unwind.
	(_initialize_arm_tdep): Attach arm_exidx_new_objfile to new_objfile
	observer.  Register arm_exidx_data_key as objfile data.

2011-02-03  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Fix LP #685494
	Backport from mainline:

	2011-01-19  Yao Qi  <yao@codesourcery.com>

	gdb/testsuite/
	* lib/dwarf.exp (dwarf2_support): Change supported targets to a
	positve list.

	2011-01-19  Yao Qi  <yao@codesourcery.com>

	gdb/testsuite/
	* gdb.asm/asm-source.exp: Replace ARM target triplet with a
	canonical form.
	Remove "xscale-*-*"
	* gdb.xml/tdesc-regs.exp: Likewise.
	* gdb.python/py-section-script.exp: Replace ARM target triplet
	with canonical form.
	Match arm*-*-symbianelf*.
	* gdb.base/dup-sect.exp: Likewise.
	* lib/dwarf.exp: New.
	* gdb.dwarf2/callframecfa.exp: Check dwarf2 support by routine
	dwarf2_support.
	* gdb.dwarf2/dup-psym.exp: Likewise.
	* gdb.dwarf2/dw2-anonymous-func.exp: Likewise.
	* gdb.dwarf2/dw2-bad-parameter-type.exp: Likewise.
	* gdb.dwarf2/dw2-basic.exp: Likewise.
	* gdb.dwarf2/dw2-compressed.exp: Likewise.
	* gdb.dwarf2/dw2-cu-size.exp: Likewise.
	* gdb.dwarf2/dw2-empty-namespace.exp: Likewise.
	* gdb.dwarf2/dw2-inheritance.exp: Likewise.
	* gdb.dwarf2/dw2-intercu.exp: Likewise.
	* gdb.dwarf2/dw2-intermix.exp: Likewise.
	* gdb.dwarf2/dw2-modula2-self-type.exp: Likewise.
	* gdb.dwarf2/dw2-noloc.exp: Likewise.
	* gdb.dwarf2/dw2-op-call.exp: Likewise.
	* gdb.dwarf2/dw2-producer.exp: Likewise.
	* gdb.dwarf2/dw2-ranges.exp: Likewise.
	* gdb.dwarf2/dw2-ref-missing-frame.exp: Likewise.
	* gdb.dwarf2/dw2-strp.exp: Likewise.
	* gdb.dwarf2/dw2-unresolved.exp: Likewise.
	* gdb.dwarf2/mac-fileno.exp: Likewise.
	* gdb.dwarf2/member-ptr-forwardref.exp: Likewise.
	* gdb.dwarf2/pieces.exp: Likewise.
	* gdb.dwarf2/valop.exp: Likewise.
	* gdb.dwarf2/watch-notconst.exp: Likewise.

2011-02-03  Ulrich Weigand  <ulrich.weigand@linaro.org>

	Backport from mainline:

	2011-02-02  Ulrich Weigand  <ulrich.weigand@linaro.org>

	gdb/
	* arm-tdep.c (arm_analyze_load_stack_chk_guard): Avoid build break
	due to accessing uninitialized variable.  Fix indentation.

2011-01-14  Yao Qi  <yao@codesourcery.com>

	Fix the first fail in LP #615972
	Backport from mainline:

	2011-01-14  Yao Qi  <yao@codesourcery.com>

	gdb/
	* arm-tdep.c (arm_register_reggroup_p): FPS register is in
	save_reggroup, restore_reggroup and all_reggroup.

	2010-12-20  Yao Qi  <yao@codesourcery.com>

	gdb/
	* arm-tdep.c (arm_register_reggroup_p): New.
	(arm_gdbarch_init): Set arm_register_reggroup_p for hook
	register_reggroup_p.

	2010-12-20  Yao Qi  <yao@codesourcery.com>

	gdb/
	* features/arm-core.xml:  Add attribute type to reg from r0 to r12.
	* features/arm-with-iwmmxt.c: Regenerate.
	* features/arm-with-neon.c: Regenerate.
	* features/arm-with-vfpv2.c: Regenerate.
	* features/arm-with-vfpv3.c: Regenerate.

2010-12-29  Yao Qi  <yao@codesourcery.com>

	Backport from mainline.  Fix LP:616003.

	gdb/
	2010-12-23  Yao Qi  <yao@codesourcery.com>
	* arm-tdep.c (arm_gdbarch_init): Remove invoke to
	set_gdbarch_deprecated_fp_regnum.

2010-12-27  Yao Qi  <yao@codesourcery.com>

	Handle -fstack-protector prologue code.  Fix LP:616000
	Backport from mainline:

	2010-12-23  Yao Qi  <yao@codesourcery.com>

	gdb/
	* arm-tdep.c (thumb_analyze_prologue): Move some code ...
	(EXTRACT_MOVW_MOVT_IMM_T): ... here.  New macro.
	(EXTRACT_MOVW_MOVT_IMM_A): New macro.
	(arm_analyze_load_stack_chk_guard): New.
	(arm_skip_stack_protector): New.
	(arm_skip_prologue): Adjust post_prologue_pc by
	arm_skip_stack_protector.

2010-12-14  Yao Qi  <yao@codesourcery.com>

	Merge from FSF GDB 7.2.  Fix LP:685702.

	gdb/testsuite/
	2010-12-14  Yao Qi  <yao@codesourcery.com>
	Backport from mainline:

	2010-09-02  Jan Kratochvil  <jan.kratochvil@redhat.com>
	* gdb.base/printcmds.exp (test_float_accepted): Import gdb_prompt.
	Move here, negate and extend by XFAIL the "p 0x1.1" test from ... 
	* (test_float_rejected): ... here.

2010-11-08  Michael Hope  <michael.hope@linaro.org>

        gdb/
        * version.in: Bump version.

2010-11-08  Michael Hope  <michael.hope@linaro.org>

        GDB Linaro 7.2-2010.11-0 released.

        gdb/
        * version.in: Update.

2010-10-19  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #663542
	Backport from mainline:

	2010-10-19  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/
	* arm-tdep.c (thumb_get_next_pc_raw): Handle Thumb-16 encoding
	for "mov pc, REG" as well.
	(thumb_instruction_changes_pc): Likewise.

2010-10-19  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #663539
	Backport from mainline:

	2010-10-19  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/testsuite/
	* gdb.base/watch_thread_num.exp: Revert 2008-09-03 change.
	Skip test completely if gdb,no_hardware_watchpoints.

2010-10-19  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #663537
	Backport from mainline:

	2010-10-19  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/testsuite/
	* gdb.base/foll-fork.exp: Make regexps to match catchpoint hits more
	strict, but do not check for any particular function name within libc.

2010-10-15  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #615984
	Backport from mainline:

	2010-10-12  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* gdb.base/break-interp.exp (test_ld): Replace gdb_expect by
	gdb_test_multiple.

	2010-10-12  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/testsuite/
	* break-interp.exp (test_ld): Use two separate gdb_expect statements
	for the "info files" test to avoid timeouts on slow machines.

	2010-10-11  Jan Kratochvil  <jan.kratochvil@redhat.com>

	gdb/testsuite/
	Fix missing _start PIE relocation on ppc64 due to stop on dl_main.
	* break-interp.exp (reach): Move the core body ...
	(reach_1): ... here.  Use stop-on-solib-events for _dl_debug_state.
	(test_ld): Provide always real argument, even to the linker.  Replace
	dl_main by _dl_debug_state.

	2010-10-11  Jan Kratochvil  <jan.kratochvil@redhat.com>

	gdb/testsuite/
	Fix results of prelinked PIEs on ppc*.
	* gdb.base/break-interp.exp (reach, test_core, test_attach_gdb):
	Accept also DISPLACEMENT "PRESENT".
	(main): Replace "ZERO" displacements by "PRESENT".

	2010-09-10  Edjunior Barbosa Machado  <emachado@linux.vnet.ibm.com>

	gdb/testsuite/
	* gdb.base/break-interp.exp (test_ld) <istarget powerpc64-*>: Add
	is_lp64_target to check 64bit target.

	2010-09-09  Jan Kratochvil  <jan.kratochvil@redhat.com>

	gdb/testsuite/
	* gdb.base/break-interp.exp (reach): Permit leading . for ppc64.
	(test_ld) <powerpc64-*>: New.

2010-10-08  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/
	* version.in: Bump version.

2010-10-08  Ulrich Weigand  <uweigand@de.ibm.com>

	GDB Linaro 7.2-2010.10-0 released.

	gdb/
	* version.in: Update.

2010-10-08  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #523959
	Backport from mainline:

	2010-10-08  Ulrich Weigand  <uweigand@de.ibm.com>
	gdb/
	* arm-tdep.c (thumb_expand_immediate): New function.
	(thumb_instruction_changes_pc): Likewise.
	(thumb2_instruction_changes_pc): Likewise.
	(thumb_analyze_prologue): Handle 32-bit Thumb instructions during
	prologue parsing.  Improved support for optimized code.
	(thumb_scan_prologue): Do not reply on line-number information,
	use same heuristics as arm_scan_prologue insead.
	(skip_prologue_function): Accept functions
	"__tls_get_addr" and "__aeabi_read_tp".

2010-10-08  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #615982
	Backport from mainline:

	2010-10-08  Ulrich Weigand  <uweigand@de.ibm.com>
		    Daniel Jacobowitz  <dan@codesourcery.com>
	gdb/
	* arm-tdep.c (thumb_in_function_epilogue_p)
	(arm_in_function_epilogue_p): New.
	(arm_gdbarch_init): Install arm_in_function_epilogue_p as
	gdbarch_in_function_epilogue_p callback.

2010-10-06  Ulrich Weigand  <uweigand@de.ibm.com>

	Backport from mainline:

	2010-08-20  Maciej W. Rozycki  <macro@codesourcery.com>

	libiberty/
	* pex-common.c (pex_read_err): Set stderr_pipe to -1 if a
	corresponding stream has been opened.
	(pex_free): Close pipe file descriptors corresponding to child's
	stdout and stderr before waiting.

2010-09-22  Ulrich Weigand  <uweigand@de.ibm.com>

	* src-release: Support gdb-linaro packages.

	gdb/
	* version.in: Set to Linaro GDB version number.

	* configure.ac (PKGVERSION, BUGURL): Refer to Linaro.
	* configure: Regenerate.

	gdb/gdbserver/
	* configure.ac (PKGVERSION, BUGURL): Refer to Linaro.
	* configure: Regenerate.

	gdb/doc/
	* configure.ac (PKGVERSION, BUGURL): Refer to Linaro.
	* configure: Regenerate.

2010-09-14  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #620595
	Backport from mainline:

	2010-09-08  Ulrich Weigand  <uweigand@de.ibm.com>

	gdb/testsuite/
	* gdb.threads/threxit-hop-specific.exp: Use "continue" instead
	of "next" to proceed over pthread_exit call.

2010-09-14  Ulrich Weigand  <uweigand@de.ibm.com>

	Fix LP #615988
	Backport from mainline:

	2010-09-09  Ulrich Weigand  <uweigand@de.ibm.com>
	gdb/
	* dwarf2read.c (fixup_partial_die): Do not set dummy name for
	anonymous class partial DIEs.

	2010-09-08  Ulrich Weigand  <uweigand@de.ibm.com>
	gdb/testsuite/
	* gdb.base/maint.exp: Avoid wildcards against potentially very long
	"maint print statistics" output to prevent expect timeouts.

2010-09-10  Yao Qi  <yao@codesourcery.com>

	Fix LP:#615995.
	Backport from mainline:
	
	2010-09-08  Yao Qi  <yao@codesourcery.com>              
      		Pedro Alves  <pedro@codesourery.com>
	
	* infrun.c (resume): When inferior is waiting_for_vfork_done,
	clear step and don't use displaced stepping.
        Extend comment on ignoring single-step requests on vfork
	parents waiting for a vfork-done.

